| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
visSurvey::StickSetDisplay Class Referenceabstract
visSurvey

`#include <visemsticksetdisplay.h>`

Inheritance diagram for visSurvey::StickSetDisplay:
[legend]

## Classes
struct | StickIntersectPoint

## Public Member Functions
bool | areAllKnotsHidden () const
const mVisTrans * | getDisplayTransformation () const
void | getMousePosInfo (const visBase::EventInfo &, Coord3 &xyzpos, BufferString &val, uiString &info) const
virtual void | hideAllKnots (bool)
bool | isAlreadyTransformed () const
const MarkerStyle3D * | markerStyle () const
void | polygonSelectionCB ()
void | setDisplayTransformation (const mVisTrans *)
void | setMarkerStyle (const MarkerStyle3D &)
void | setStickMarkerStyle (const MarkerStyle3D &)
void | updateStickMarkerSet ()

## Protected Member Functions
| StickSetDisplay (bool isfss)
virtual | ~StickSetDisplay ()
Geometry::FaultStickSet * | faultStickSetGeometry ()
RefMan< Scene > | getCurScene ()
ConstRefMan< Scene > | getCurScene () const
virtual RefMan< MPE::ObjectEditor > | getMPEEditor (bool create)=0
bool | matchMarker (int, const Coord3, const Coord3, const Coord3)
void | setCurScene (Scene *)
void | stickSelectionCB (CallBacker *, const Survey::Geometry3D *)

## Protected Attributes
bool | ctrldown_ = false
bool | displaysticks_ = false
ConstRefMan< mVisTrans > | displaytransform_
RefMan< visBase::EventCatcher > | eventcatcher_
RefMan< EM::Fault > | fault_
bool | faultstickset_
bool | hideallknots_ = true
RefObjectSet< visBase::MarkerSet > | knotmarkersets_
WeakPtr< Scene > | ownerscene_
bool | pickmarker_ = false
bool | showmanipulator_ = false
ObjectSet< StickIntersectPoint > | stickintersectpoints_
bool | stickselectmode_ = false
RefMan< ZAxisTransform > | zaxistransform_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ StickSetDisplay()

visSurvey::StickSetDisplay::StickSetDisplay | ( | bool | isfss | ) |
| protected

## ◆ ~StickSetDisplay()

virtual visSurvey::StickSetDisplay::~StickSetDisplay | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ areAllKnotsHidden()

bool visSurvey::StickSetDisplay::areAllKnotsHidden | ( |  | ) | const

## ◆ faultStickSetGeometry()

Geometry::FaultStickSet * visSurvey::StickSetDisplay::faultStickSetGeometry | ( |  | ) |
| protected

## ◆ getCurScene() [1/2]

RefMan< Scene > visSurvey::StickSetDisplay::getCurScene | ( |  | ) |
| protected

## ◆ getCurScene() [2/2]

ConstRefMan< Scene > visSurvey::StickSetDisplay::getCurScene | ( |  | ) | const
| protected

## ◆ getDisplayTransformation()

const mVisTrans * visSurvey::StickSetDisplay::getDisplayTransformation | ( |  | ) | const

## ◆ getMousePosInfo()

void visSurvey::StickSetDisplay::getMousePosInfo | ( | const visBase::EventInfo & | ,
|  | Coord3 & | xyzpos,
|  | BufferString & | val,
|  | uiString & | info ) const

## ◆ getMPEEditor()

virtual RefMan< MPE::ObjectEditor > visSurvey::StickSetDisplay::getMPEEditor | ( | bool | create | ) |
| protected pure virtual

Implemented in visSurvey::FaultDisplay, and visSurvey::FaultStickSetDisplay.

## ◆ hideAllKnots()

virtual void visSurvey::StickSetDisplay::hideAllKnots | ( | bool |  | ) |
| virtual

Reimplemented in visSurvey::FaultDisplay, and visSurvey::FaultStickSetDisplay.

## ◆ isAlreadyTransformed()

bool visSurvey::StickSetDisplay::isAlreadyTransformed | ( |  | ) | const

## ◆ markerStyle()

const MarkerStyle3D * visSurvey::StickSetDisplay::markerStyle | ( |  | ) | const

## ◆ matchMarker()

bool visSurvey::StickSetDisplay::matchMarker | ( | int | ,
|  | const Coord3 | ,
|  | const Coord3 | ,
|  | const Coord3 | )
| protected

## ◆ polygonSelectionCB()

void visSurvey::StickSetDisplay::polygonSelectionCB | ( |  | ) |

## ◆ setCurScene()

void visSurvey::StickSetDisplay::setCurScene | ( | Scene * |  | ) |
| protected

## ◆ setDisplayTransformation()

void visSurvey::StickSetDisplay::setDisplayTransformation | ( | const mVisTrans * |  | ) |

## ◆ setMarkerStyle()

void visSurvey::StickSetDisplay::setMarkerStyle | ( | const MarkerStyle3D & |  | ) |

## ◆ setStickMarkerStyle()

void visSurvey::StickSetDisplay::setStickMarkerStyle | ( | const MarkerStyle3D & |  | ) |

## ◆ stickSelectionCB()

void visSurvey::StickSetDisplay::stickSelectionCB | ( | CallBacker * | ,
|  | const Survey::Geometry3D * | )
| protected

## ◆ updateStickMarkerSet()

void visSurvey::StickSetDisplay::updateStickMarkerSet | ( |  | ) |

## Member Data Documentation

## ◆ ctrldown_

bool visSurvey::StickSetDisplay::ctrldown_ = false
| protected

## ◆ displaysticks_

bool visSurvey::StickSetDisplay::displaysticks_ = false
| protected

## ◆ displaytransform_

ConstRefMan<mVisTrans> visSurvey::StickSetDisplay::displaytransform_
| protected

## ◆ eventcatcher_

RefMan<visBase::EventCatcher> visSurvey::StickSetDisplay::eventcatcher_
| protected

## ◆ fault_

RefMan<EM::Fault> visSurvey::StickSetDisplay::fault_
| protected

## ◆ faultstickset_

bool visSurvey::StickSetDisplay::faultstickset_
| protected

## ◆ hideallknots_

bool visSurvey::StickSetDisplay::hideallknots_ = true
| protected

## ◆ knotmarkersets_

RefObjectSet<visBase::MarkerSet> visSurvey::StickSetDisplay::knotmarkersets_
| protected

## ◆ ownerscene_

WeakPtr<Scene> visSurvey::StickSetDisplay::ownerscene_
| protected

## ◆ pickmarker_

bool visSurvey::StickSetDisplay::pickmarker_ = false
| protected

## ◆ showmanipulator_

bool visSurvey::StickSetDisplay::showmanipulator_ = false
| protected

## ◆ stickintersectpoints_

ObjectSet<StickIntersectPoint> visSurvey::StickSetDisplay::stickintersectpoints_
| protected

## ◆ stickselectmode_

bool visSurvey::StickSetDisplay::stickselectmode_ = false
| protected

## ◆ zaxistransform_

RefMan<ZAxisTransform> visSurvey::StickSetDisplay::zaxistransform_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025